#include <iostream>
#include <algorithm>
#include <vector>
#include <set>

using namespace std;

typedef long ll;

void print(const vector<ll> &v){
    for(ll i = 0; i < v.size(); i++) cout << v[i] << ' ';
    cout << endl;
}

void smanji(vector<ll> &v){
    for(ll i = 0; i < v.size(); i++){
        if(v[i] == 0){
            for(ll j = i + 1; j < v.size(); j++){
                if(v[j] != 0){
                    v[i] = v[j];
                    v[j] = 0;

                    break;
                }
            }
        }
    }

    ll adj;
    for(ll i = 0; i < v.size(); i++){
        if(v[i] == 0) {
            adj = i;
            break;
        }
    }

    v.resize(adj);
}

ll duzinaPodniza(vector<ll> &vn, vector<ll> &vm){
    ll oduzimanje = 0;

    for(ll i = 0; i < vn.size(); i++){
        if(vn[i] == vm[i]) continue;
        else{
            for(ll j = i+1; j < vn.size(); j++){
                if(vn[i] == vm[j]){
                    oduzimanje += j-i;
                    i = j;
                    break;
                }

                if(vm[i] == vn[j]){
                    oduzimanje += j-i;
                    i = j;
                    break;
                }
            }
        }
    }

    return vn.size() - oduzimanje;
}

void obrada(vector<ll> &vn, vector<ll> &vm, set<ll> &sn, set<ll> &sm, ll len, ll lem){
    for(ll i = 0; i < vn.size(); i++){
        if(!binary_search(sm.begin(), sm.end(), vn[i])){
            vn[i] = 0;
        }
    }

    smanji(vn);

    for(ll i = 0; i < vm.size(); i++){
        if(!binary_search(sn.begin(), sn.end(), vm[i])){
            vm[i] = 0;
        }
    }

    smanji(vm);

    ll ostatak = duzinaPodniza(vn, vm);

    cout << (len + lem - 2 * ostatak);
}

int main(){
    ios_base::sync_with_stdio(false);

    ll N, M, unos, len, lem;
    vector<ll> vn, vm;
    set<ll> sn, sm;

    cin >> N >> M;

    for(ll i = N; i > 0; i--) {
        cin >> unos;
        vn.push_back(unos);
        sn.insert(unos);
    }

    for(ll i = M; i > 0; i--) {
        cin >> unos;
        vm.push_back(unos);
        sm.insert(unos);
    }


    len = vn.size();
    lem = vm.size();

    obrada(vn, vm, sn, sm, len, lem);

    return 0;
}