#include <iostream>

using namespace std;

class node{
public:
    char c;
    node *n;

    node(char k){
        c = k;
        n = NULL;
    }

    node(char k, node *next){
        c = k;
        n = next;
    }
};

class lista{
public:
    node *f, *m, *l;
    long len;
    // a, b => f = m = a; l = b;
    // a, b, c, d => f = a; m = b; l = d;

    lista(node *first){
        f = first;
        l = first;
        m = first;
        len = 1;
    }

    long length(){
        return len;
    }

    void pushBack(node *next){
        l->n = next;
        next->n = NULL;
        l = next;

        len++;

        if(len % 2 == 1){
            m = m->n;
        }
    }

    void pushBack(char k){
        node *next = new node(k);

        this->pushBack(next);
    }

    void swap_halves(){
        if(len % 2 == 1) return;
        if(len == 2){
            l->n = f;
            f->n = NULL;

            m = l;
            l = f;
            f = m;

            return;
        }

        // a, b, c, d => f = a; m = b; l = d;
        // c, d, a, b => f = c; m = d; l = b;

        node *temp;

        l->n = f;
        temp = m->n;
        m->n = NULL;

        f = temp;
        temp = m;
        m = l;
        l = temp;
    }

    void print(){
        node *cur = f;

        while(cur != NULL){
            cout << cur->c;
            cur = cur->n;
        }
    }
};

int main(){
    ios_base::sync_with_stdio(false);

    int n, ini;
    char inc;

    cin >> n;

    ini = 3;
    while(ini != 1){
        cin >> ini;
    } cin >> inc;

    node *newNode = new node(inc);
    lista l = lista(newNode);

    for(long i = 1; i < n; i++){
        cin >> ini;

        if(ini == 1){
            cin >> inc;
            l.pushBack(inc);
        } else {
            l.swap_halves();
        }
    }

    l.print();

    return 0;
}