#include <iostream>
#include <algorithm>
#include <string>
#include <vector>

using namespace std;

void print(const vector<long> &v){
    for(long i = 0; i < v.size() - 1; i++){
        if(v[i] == 0) cout << "J ";
        else cout << v[i] << ' ';
    }

    if(v.back() == 0) cout << "J";
    else cout << v.back();
}

char numToChar(int num){
    switch(num){
    case 1:
        return '1';
    case 2:
        return '2';
    case 3:
        return '3';
    case 4:
        return '4';
    case 5:
        return '5';
    case 6:
        return '6';
    case 7:
        return '7';
    case 8:
        return '8';
    case 9:
        return '9';
    default: case 0:
        return '0';
    }
}

string numToString(long i){
    long t = i;
    string res = "";

    while(t != 0){
        res = numToChar(t % 10) + res;
        t /= 10;
    }

    return res;
}

string oddHalf(long n){
    string s1 = "", temp = "";

    for(long i = n - (n % 2 == 0 ? 1 : 0); i >= 1; i -= 2){
            s1.append((numToString(i) + " "));
            temp = " " + numToString(i) + temp;
    }

    s1 = s1 + "J";
    s1.append(temp);

    //cout << "|" << s1 << "|" << endl;

    return s1;
}

string evenHalf(long n){
    string s1 = "", temp = "";
    for(long i = n - (n % 2 == 1 ? 1 : 0); i >= 2; i -= 2){
            s1.append((numToString(i) + " "));
            temp = " " + numToString(i) + temp;
    }

    s1 = s1 + "J J";
    s1.append(temp);

    //cout << "|" << s1 << "|" << endl;

    return s1;
}

void createString(long n, long k){
    string e, o, j;

    e = evenHalf(n);
    o = oddHalf(n);

    j = "";
    for(int i = 0; i < k-3; i++){
        j += " J";
    }

    cout << e << j << " " << o;
}

void smallN(long n, long k){
    string res;
    int used;

    switch(n){
    case 1:
        res = "1 J 1";
        used = 1;
        break;

    case 2:
        res = "1 2 1 J 2";
        used = 1;
        break;

    case 3:
        res = "3 1 2 1 3 2";
        used = 0;
        break;

    case 4:
        res = "4 2 3 J 2 4 3 1 J 1";
        used = 2;
        break;
    }

    for(int i = used; i < k; i++) res += " J";

    cout << res;
}

bool uslov(const vector<long> &v){
    bool uslov;
    for(long i = 0; i < v.size() - 1; i++){
        if(v[i] == 0) continue;

        bool uslov = false;

        if(i + 1 + v[i] < v.size()) {
            if(v[i] == v[i + 1 + v[i]]) uslov = true;
            //else cout << "I: " << i << " - " << v[i] << ":" << v[i+1+v[i]] << endl;
        }
        if(i - 1 - v[i] >= 0) {
            if(v[i] == v[i - 1 - v[i]]) uslov = true;
            //else cout << "I: " << i << " - " << v[i] << ":" << v[i-1-v[i]] << endl;
        }

        if(uslov == false) {
            //print(v);
            //cout << endl << endl;
            return false;
        }
    }

    return true;
}

void bruteForce(long n, long k){
    long i;
    vector<long> v;

    for(i = k; i > 0; i--) v.push_back(0);

    for(i = 1; i <= n; i++){
        v.push_back(i);
        v.push_back(i);
    }

    bool nasao = false;
    do{
        if(uslov(v)){
            nasao = true;
            print(v);
        }
    } while(next_permutation(v.begin(), v.end()) && !nasao);
}

int main(){
    ios_base::sync_with_stdio(false);

    long n, k;

    cin >> n >> k;

    if(n <= 4) smallN(n, k);
    else if(n > 4 && k >= 3) createString(n, k);
    else {
        bruteForce(n, k);
    }

    return 0;
}