#include <iostream>
#include <vector>
#include <algorithm>
#include <map>

using namespace std;

int LIS (vector< int > &a) {
    if (a.size() == 0) {
        return 0;
    }
    vector< int > dp;
    dp.push_back(a[0]);
    int t;
    for (int i = 1; i < a.size(); i++) {
        t = lower_bound(dp.begin(), dp.end(), a[i]) - dp.begin();
        if (t == dp.size()) {
            dp.push_back(a[i]);
        }
        else {
            dp[t] = a[i];
        }
    }
    return dp.size();
}

int Lin (vector< int > &a, vector< int > &b) {
    map< int, int > mb;
    for (int i = 0; i < b.size(); i++) {
        mb[b[i]] = i+1;
    }
    vector< int > c;
    for (int i = 0; i < a.size(); i++) {
        if (mb[a[i]] > 0) {
            c.push_back(mb[a[i]] - 1);
        }
    }
    return LIS (c);
}

int main()
{
    cin.sync_with_stdio(false);
    cin.tie(0);

    int n, m;
    cin >> n >> m;
    vector< int > a (n), b(m);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    for (int i = 0; i < m; i++) {
        cin >> b[i];
    }
    cout << n + m - 2 * Lin(a, b);
    return 0;
}