#include <cstdio>
#include <algorithm>
using namespace std;
typedef long long ll;
#define maxN 100000
const double eps = 1e-7;
#define DEBUG

int n;
ll x0, y0, h, w;
ll A[maxN], B[maxN];
int cnt, sol;
pair<double, int> x[maxN];

double case1_x(ll a, ll b) {
	double p = (double)((a - x0) * (a + x0) + (y0 - b) * (y0 + h - b));
	double q = (double)(2LL* (a - x0));
	return p / q;
}

int case1_b(ll a, ll b) {
	return a > x0;
}

ll dist(ll x, ll y, ll a, ll b) {
    return (x - a) * (x - a) + (x - b) *  (x - b);
}

void check_spec(ll x, ll y) {
    int cnt = 0;
    for (int i = 0; i < n; i++) {
        ll a = A[i], b = B[i];
        if (dist(x, y, a, b) <= dist(x, y, x0, y0))
            cnt++;
    }
    sol = min(sol, cnt);
}

void check() {
	cnt = 0;
	for (int i = 0; i < n; i++) {
		ll a = A[i], b = B[i];
		if (a == x0) {
			if (b <= y0 + h && b >= y0)
				x[i] = make_pair((double)(x0 + w + 1), -1), cnt++;
            else
				x[i] = make_pair((double)(x0 + w + 1), 1);
		}
		else {
			if (case1_b(a, b))
				x[i] = make_pair(case1_x(a, b), 1);
			else
				x[i] = make_pair(case1_x(a, b) - eps, -1), cnt++;
		}
	}
	/* LineSweep (copyright) */
	sort(x, x + n);
        #ifndef DEBUG
	printf("from %lld to %lld\n", x0 + w/2, x0 + w);
	for (int i = 0; i < n; i++)
		printf("(%.3f, %d), ", x[i].first, x[i].second);
	printf("\n");
        #endif // DEBUG
	for (int i = 0; i < n; i++)
		if (x[i].first >= (double)(x0 + w))
			break;
		else {
			cnt += x[i].second;
			if (x[i].first >= (double)x0 + w/2) {
        #ifndef DEBUG
                printf("tried i = %d, cnt = %d\n", i , cnt);
        #endif // DEBUG
                sol = min(cnt, sol);
			}
		}
}

template<typename T>
void rot(T& x, T& y) {
	T temp = x;
	x = y;
	y = -x;
}

void rotate() {
	for (int i = 0; i < n; i++)
		rot(A[i], B[i]);
	rot(x0, y0);
	swap(h, w);
}

int main() {
	scanf("%d", &n);
	sol = n;
	scanf("%lld %lld %lld %lld", &x0, &y0, &w, &h);
	y0 -= h;
        #ifndef DEBUG
	printf("%lld %lld %lld %lld", x0, y0, w, h);
        #endif // DEBUG
	for (int i = 0; i < n; i++) {
		scanf("%lld %lld", &A[i], &B[i]);
        ll a = A[i], b = B[i];
        #ifndef DEBUG
        printf("case1_x(%lld, %lld) = %.2f\n", a, b, case1_x(a, b));
        #endif // DEBUG
	}
	for (int i = 0; i < 4; i++) {
		check();
		check_spec(x0 + w, y0 + h/2);
		rotate();
	}
	check_spec(x0 + w/2, y0 + h/2);
	printf("%d\n", sol);
	return 0;
}


/*
5
-12 8 20 12
9 1
-9 -9
3 12
13 -4
-5 13
*/